put
https://api.hibob.com/v1/people/
This endpoint allows you to update specific fields in an employee's record in Bob.
Important: Although this is a PUT method, it behaves like a PATCH request—you only need to send the fields you want to update, and any other fields will remain unchanged.
Before using this endpoint, read the instructions on how to update employee data. You can find them here: Update Employee data.
Notes:
- Only employee fields are supported; table updates are not allowed via this endpoint.
- Position fields cannot be updated using this endpoint.
- Recently updated employee data may take a few seconds to become available when fetching data. If you read immediately after an update, the response may still show the previous value or
null. Wait up to 20 seconds before a follow-up read. See Read-after-update consistency.
200Employee record was updated successfully.
304Returned when employee data has not been modified. Ensure that the data being sent is new and that the correct field ID and JSON structure are being used.

